Name: CodeCommander
Summary: A multi-language programming IDE
Version: 0.6
Release: 4
Group: Development/Tools
Copyright: GPL
Source: http://codecommander.sourceforge.net/files/CodeCommander-%{version}.tar.gz
Patch0: save_session_as_cb.patch
Patch1: gpl_notice.patch
URL: http://codecommander.sourceforge.net 
BuildRoot: /var/tmp/%{name}-root
Requires: swig
BuildRequires: swig

%description
CodeCommander is a very functional all-purpose editor for Linux. Features
include find/replace, goto line, syntax highlighting, undo/redo, auto
indenting, quick access popup menus and many other standard editor features.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure 
make

%install
%makeinstall  
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development
mv $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Development/CodeCommander.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog LanguageDefinitions README TODO
%config %{_sysconfdir}/X11/applnk/Development/CodeCommander.desktop
%{_bindir}/CodeCommander
%{_datadir}/CodeCommander
%{_datadir}/pixmaps/*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jun 2 2000 Tim Powers <timp@redhat.com>
- BuildRequires and Requires swig

* Thu Jun 1 2000 Tim Powers <timp@redhat.com>
- cleaned up spec for RPM 4.0 (al la _syscondir _datadir etc)
- update to 0.6
- patched to build with gcc-2.96

* Tue May 30 2000 Tim Powers <timp@redhat.com>
- initial package of CodeCommander for 7.0
- use applnk instead
